--- title: "Open a Room" slug: "open-a-room" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/open-a-room" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Open a Room Post/api/v1/rooms.open Marks a room as "open" for the user, i.e. removes it from the user's list of hidden rooms and puts it back in the sidebar. Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersExample ```json { "roomId": "GENERAL" } ``` object roomIdstring Required The ID of the room to open. Responses200 OK Success ```json { "success": true } ``` object successboolean 400 Bad Request Missing roomId ```json { "success": false, "error": "must have required property 'roomId' [invalid-params]", "errorType": "invalid-params" } ``` object successboolean errorstring errorTypestring 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring